All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::IndexPQStats Struct Reference

`#include <IndexPQ.h>`

## Public Member Functions

void | reset ()

## Public Attributes

size_t | nq
size_t | ncode
size_t | n_hamming_pass

## Detailed Description

statistics are robust to internal threading, but not if IndexPQ::search is called by multiple threads

Definition at line 121 of file IndexPQ.h.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/IndexPQ.h
- /data/users/matthijs/github_faiss/faiss/IndexPQ.cpp